Agora C++ API Reference for All Platforms

Public Member Functions | List of all members
agora::rtc::IRtmpConnectionEx Class Referenceabstract

Inherits agora::rtc::IRtmpConnection.

## Public Member Functions
virtual int | initialize (const RtmpConnectionConfiguration &config)=0
virtual int | initializeLLApiInternal (const RtmpConnectionConfiguration &config)=0
virtual int | deinitialize ()=0
virtual int | SendAudioFrame (const uint8_t *data, size_t size, int64_t pts_ms)=0
virtual int | SendVideoFrame (const uint8_t *data, size_t size, int64_t pts_ms, bool is_key)=0
virtual int | connectLLApiInternal (const char *url)=0
virtual int | disconnectLLApiInternal ()=0
virtual int | registerObserverLLApiInternal (IRtmpConnectionObserver *observer, void(*safeDeleter)(IRtmpConnectionObserver *)=NULL)=0
virtual int | unregisterObserverLLApiInternal (IRtmpConnectionObserver *observer)=0
Public Member Functions inherited from agora::rtc::IRtmpConnection
| ~IRtmpConnection ()
virtual int | connect (const char *url, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | disconnect (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual RtmpConnectionInfo | getConnectionInfo ()=0
virtual IRtmpLocalUser * | getRtmpLocalUser ()=0
virtual int | registerObserver (IRtmpConnectionObserver *observer, void(*safeDeleter)(IRtmpConnectionObserver *)=NULL, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unregisterObserver (IRtmpConnectionObserver *observer)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Member Function Documentation

## ◆ initialize()

virtual int agora::rtc::IRtmpConnectionEx::initialize | ( | const RtmpConnectionConfiguration & | config | ) |
| pure virtual

## ◆ initializeLLApiInternal()

virtual int agora::rtc::IRtmpConnectionEx::initializeLLApiInternal | ( | const RtmpConnectionConfiguration & | config | ) |
| pure virtual

## ◆ deinitialize()

virtual int agora::rtc::IRtmpConnectionEx::deinitialize | ( |  | ) |
| pure virtual

## ◆ SendAudioFrame()

virtual int agora::rtc::IRtmpConnectionEx::SendAudioFrame | ( | const uint8_t * | data,
|  | size_t | size,
|  | int64_t | pts_ms
| ) |  |
| pure virtual

## ◆ SendVideoFrame()

virtual int agora::rtc::IRtmpConnectionEx::SendVideoFrame | ( | const uint8_t * | data,
|  | size_t | size,
|  | int64_t | pts_ms,
|  | bool | is_key
| ) |  |
| pure virtual

## ◆ connectLLApiInternal()

virtual int agora::rtc::IRtmpConnectionEx::connectLLApiInternal | ( | const char * | url | ) |
| pure virtual

## ◆ disconnectLLApiInternal()

virtual int agora::rtc::IRtmpConnectionEx::disconnectLLApiInternal | ( |  | ) |
| pure virtual

## ◆ registerObserverLLApiInternal()

virtual int agora::rtc::IRtmpConnectionEx::registerObserverLLApiInternal | ( | IRtmpConnectionObserver * | observer,
|  | void(*)(IRtmpConnectionObserver *) | safeDeleter = `NULL`
| ) |  |
| pure virtual

## ◆ unregisterObserverLLApiInternal()

virtual int agora::rtc::IRtmpConnectionEx::unregisterObserverLLApiInternal | ( | IRtmpConnectionObserver * | observer | ) |
| pure virtual